0

I try to install android-tools-fastboot with

sudo apt-get install android-tools-adb android-tools-fastboot

and the terminal says

Package android-tools-fastboot is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'android-tools-fastboot' has no installation candidate

Any idea ?

Regards.

0

After updating to 15.04 I found many issues simply related to the repositories used by Ubuntu.

Essentially what happens when you add a new ppa to your system it will by default look for repositories labeled as your distro version (in this case vivid vervet, 15.04). The android tools repository is only under utopic (14.04) and presumably earlier.

SOLUTION:

  1. Open up Software & Updates
  2. Open up "Other Software" Tab
  3. In that list look for anything with "http://ppa.launchpad.net/phablet-team/tools/ubuntu"
  4. Note that those items look for the "vivid" distribution. Click edit and replace "vivid" with "utopic" for each.
  5. Click close, this will call an apt-get update (you may get a pop up with a "Reload" button, click it).
  6. Try running your original command and everything should install successfully!
| improve this answer | |
  • 1
    In Ubuntu 15.10 android-tools-adb and android-tools-fastboot are in official repos – Hrvoje T Jan 4 '16 at 23:31
2

Today there was no problem installing android-tools.

sudo add-apt-repository ppa:nilarimogard/webupd8

sudo apt-get update

sudo apt-get install android-tools-adb android-tools-fastboot

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.